<div class="card">
    <div class="">

        <div class="account-per-activity-area-chart">

           

            <div  *ngIf="!emptyData(); else emptyDataBlock" id="account-per-activity-area-chart-container" [hidden]="loading" ></div>
       
            <ng-template #emptyDataBlock class="card">
                <div class="jumbotron jumbotron-fluid alert alert-orange1">
                        <div  class=" text-center mb-0" role="alert">
                          <div class="iq-alert-icon text-center">
                            <i class="ri-information-line"></i>
                          </div>
                          <div class="iq-alert-text">{{'FIELD.PLEASE.NO_DATA'|translate}}</div>
                        </div>
                                                                
                </div>
              </ng-template>


            <div *ngIf="loading" class="loading">
                <em class="fa fa-spinner fa-spin fa-2x"></em>
            </div>

        </div>

    </div>
</div>